"use strict";

function _chai() {
  const data = require("chai");

  _chai = function () {
    return data;
  };

  return data;
}

function _extendPath() {
  const data = require("./extend-path");

  _extendPath = function () {
    return data;
  };

  return data;
}

it('should return prefix when path is undefined', () => {
  const res = (0, _extendPath().extendPath)('hello/world');
  (0, _chai().expect)(res).to.equal('hello/world');
});
it('should return prefix when path is empty', () => {
  const res = (0, _extendPath().extendPath)('hello/world', '');
  (0, _chai().expect)(res).to.equal('hello/world');
});
it('should join paths', () => {
  const res = (0, _extendPath().extendPath)('hello', 'world');
  (0, _chai().expect)(res).to.equal('hello/world');
});
it('should not create avoid simple duplicate slashes', () => {
  const res = (0, _extendPath().extendPath)('hello//', '//world');
  (0, _chai().expect)(res).to.equal('hello/world');
});
it('should not create avoid duplicate slashes', () => {
  const res = (0, _extendPath().extendPath)('hello//', '//world');
  (0, _chai().expect)(res).to.equal('hello/world');
});
it('should extend array paths', () => {
  const res = (0, _extendPath().extendPath)('hello', ['world', 'darling', '']);
  (0, _chai().expect)(res).to.deep.equal(['hello/world', 'hello/darling', 'hello']);
});

//# sourceMappingURL=extend-path/extend-path.spec.js.map