/// <reference types="react" />
import { SlotRegistry } from '@teambit/harmony';
import { RouteProps } from 'react-router-dom';
import { History, LocationListener } from 'history';
import { RouteSlot } from './slot-router';
import { Routing } from './route-context';
declare type RouteChangeSlot = SlotRegistry<LocationListener>;
export declare class ReactRouterUI {
    private routeSlot;
    private routeChangeListener;
    private routerHistory?;
    private routingMode;
    constructor(routeSlot: RouteSlot, routeChangeListener: RouteChangeSlot);
    renderRoutes(routes: RouteProps[]): JSX.Element;
    private unregisterListener?;
    setRouter: (routerHistory: History<unknown>) => void;
    setRoutingMode(routing: Routing): void;
    register(route: RouteProps): this;
    registerListener(listener: LocationListener): void;
    navigateTo: (path: string, state?: Record<string, any> | undefined) => void;
    static slots: (((registerFn: () => string) => SlotRegistry<RouteProps>) | ((registerFn: () => string) => SlotRegistry<History.LocationListener<unknown>>))[];
    static runtime: import("@teambit/harmony").RuntimeDefinition;
    static provider(deps: any, config: any, [routeSlot, routeChangeSlot]: [RouteSlot, RouteChangeSlot]): Promise<ReactRouterUI>;
}
export {};
