"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

require("core-js/modules/es.array.iterator");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.SlotRouter = SlotRouter;
exports.SlotSubRouter = SlotSubRouter;

function _extends2() {
  const data = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

  _extends2 = function () {
    return data;
  };

  return data;
}

function _react() {
  const data = _interopRequireDefault(require("react"));

  _react = function () {
    return data;
  };

  return data;
}

function _reactRouterDom() {
  const data = require("react-router-dom");

  _reactRouterDom = function () {
    return data;
  };

  return data;
}

function _lodash() {
  const data = require("lodash");

  _lodash = function () {
    return data;
  };

  return data;
}

function _extendPath() {
  const data = require("./extend-path");

  _extendPath = function () {
    return data;
  };

  return data;
}

function SlotRouter({
  slot,
  rootRoutes
}) {
  const routes = (0, _lodash().flatten)(slot.values());
  const withRoot = routes.concat(rootRoutes || []);
  return /*#__PURE__*/_react().default.createElement(_reactRouterDom().Switch, null, withRoot.map((route, idx) => /*#__PURE__*/_react().default.createElement(_reactRouterDom().Route, (0, _extends2().default)({
    key: idx
  }, route))));
}

function SlotSubRouter({
  slot,
  basePath
}) {
  const routes = (0, _lodash().flatten)(slot.values());
  const {
    path: contextPath
  } = (0, _reactRouterDom().useRouteMatch)(); // TODO - generate key as part of the slot.

  return /*#__PURE__*/_react().default.createElement(_reactRouterDom().Switch, null, routes.map((route, idx) => /*#__PURE__*/_react().default.createElement(_reactRouterDom().Route, (0, _extends2().default)({
    key: idx
  }, route, {
    path: (0, _extendPath().extendPath)(basePath || contextPath, route.path)
  }))));
}

//# sourceMappingURL=slot-router.js.map